> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lazyraccoon.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Configs

> GET /api/configs

## Request

```bash theme={null}
GET /api/configs
```

Returns all personal configs for the authenticated user.

### Query parameters

| Parameter | Type     | Description                                      |
| --------- | -------- | ------------------------------------------------ |
| `teamId`  | `string` | Optional. List team configs instead of personal. |

### Example

```bash theme={null}
curl https://lazyraccoon.dev/api/configs \
  -H "Authorization: Bearer lr_your_key"
```

## Response

```json theme={null}
[
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "default",
    "tool": "claude",
    "version": 3,
    "hash": "abc123...",
    "updatedAt": "2026-03-13T12:00:00.000Z"
  }
]
```
